using System;
using System.Drawing;

namespace iclect.ImageManager.Thumbnails
{
	/// <summary>
	/// Summary description for Thumbnailer.
	/// </summary>
	public abstract class Thumbnailer
	{
		public abstract Image CreateThumbnail(Image full, int width, int height);

 		public Image CreateDummyImage(int width, int height)
		{
			Image dummy = new Bitmap(width, height);
			using (Graphics g = Graphics.FromImage(dummy))
			{
				using (Brush brush = new SolidBrush(Color.Silver))
				{
					g.FillRectangle(brush, 0, 0, width, height);
				}
			}
			return dummy;
		}
	}
}
